%define upstream_name    Log-Any-Adapter-Callback
%define upstream_version 0.102

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Send Log::Any logs to a subroutine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::Any::Adapter) >= 0.110.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This adapter lets you specify callback subroutine to be called by
Log::Any's logging methods (like $log->debug(), $log->error(), etc) and
detection methods (like $log->is_warning(), $log->is_fatal(), etc.).

This adapter is used for customized logging, and is mostly a convenient
construct to save a few lines of code. You could achieve the same effect by
creating a full Log::Any adapter class.

Your logging callback subroutine will be called with these arguments:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Dec 04 2023 tv <tv> 0.102.0-1.mga10
+ Revision: 2012948
- update to 0.102

* Mon Mar 21 2022 umeabot <umeabot> 0.101.0-2.mga9
+ Revision: 1812512
- Mageia 9 Mass Rebuild

* Thu Mar 26 2020 tv <tv> 0.101.0-1.mga8
+ Revision: 1560702
- update to 0.101

* Wed Feb 19 2020 umeabot <umeabot> 0.100.0-2.mga8
+ Revision: 1543148
- Mageia 8 Mass Rebuild

* Tue Jan 14 2020 shlomif <shlomif> 0.100.0-1.mga8
+ Revision: 1477973
- update to 0.100
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-8.mga7
+ Revision: 1268911
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1029307
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 948576
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 788106
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 747792
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-3.mga5
+ Revision: 733163
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 685256
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.90.0-1.mga5
+ Revision: 634126
- imported package perl-Log-Any-Adapter-Callback

